/* 
 * BlueManager.c, by Anmol Madan  Copyright (C) 2004, MIT Media Lab. 
 * Distributed under GNU/GPL agreement
 *
 * Manager app responsible for starting and stopping
 * bluetooth scanner. Relies on a clean installation of 
 * bluetooth driver
 */


#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <signal.h>

unsigned short  state;
#define FALSE 0
#define TRUE 1

void sighandler(int sig)
{

  // cleanup and exit
    
  printf("Ctrl C caught! Exiting ... ");
  fflush(stdout);
	

  sleep(2);


  exit(EXIT_SUCCESS);
  
}

int main(int argc, char *argv[]) 
{


  int off=90, i=0, bon=12;
  
  state=FALSE;

  signal(SIGINT,sighandler);

  system("/etc/rc.d/init.d/bluetooth stop");

  
    if (argc>1)
      off = atoi(argv[2]);
    
    if (argc>3)
      bon = atoi(argv[3]);



  while(i>=0) {
 

   // start Bluetooth
    
    system(" date >> /mnt/card/borglab/wifidata/bluemap");
    sleep(2);
    system("/etc/rc.d/init.d/bluetooth start");
    sleep(2);
    system(" hcitool scan | grep \":\" >> /mnt/card/borglab/wifidata/bluemap");
    sleep(bon);
    system("/etc/rc.d/init.d/bluetooth stop");
    sleep(2);
    printf("Iteration %d completed. Use Ctrl C to kill this app.",i); 
    fflush(stdout);
    state=FALSE;
    sleep(off);
  }  

  return 0;
}

