#!/bin/sh

# 4/22/05 by Mark
# script that kills all processes started by SignalRecorder 
# (in case SignalRecorder failed to do so itself)

LOCATION=/mnt/card/borglab
PIDFILES=./pids

echo "sigrec_stop.sh: Stopping LinuxAudioSignal: "
	if [ -f $PIDFILES/lasig.pid ] ; then
	    kill `cat $PIDFILES/lasig.pid` 2> /dev/null
	else
#	    echo "could not find $PIDFILES/lasig.pid -- attempting killall"
	    killall /mnt/card/borglab/enchant-signal/LinuxAudioSignal 2> /dev/null
	fi

echo "sigrec_stop.sh: Stopping LinuxAudioDownSampler "
	if [ -f $PIDFILES/lads.pid ] ; then
	    kill `cat $PIDFILES/lads.pid` 2> /dev/null
	else
#	    echo "could not find $PIDFILES/lads.pid -- attempting killall"
	    killall /mnt/card/borglab/enchant-signal/LinuxAudioDownSampler 2> /dev/null
	fi

echo "sigrec_stop.sh: Stopping MITeSignal "
	if [ -f $PIDFILES/mitesig.pid ] ; then
	    kill `cat $PIDFILES/mitesig.pid` 2> /dev/null
	else
#	    echo "could not find $PIDFILES/mitesig.pid -- attempting killall"
	    killall /mnt/card/borglab/enchant-signal/MITeSignal 2> /dev/null
	fi

echo "sigrec_stop.sh: Stopping SignalViewers "
 	    kill `cat $PIDFILES/sv_audio.pid 2> /dev/null` 2> /dev/null
	    kill `cat $PIDFILES/sv_accel1.pid 2> /dev/null` 2> /dev/null
	    kill `cat $PIDFILES/sv_accel2.pid 2> /dev/null` 2> /dev/null
	    kill `cat $PIDFILES/sv_accel3.pid 2> /dev/null` 2> /dev/null
	    kill `cat $PIDFILES/sv_accel4.pid 2> /dev/null` 2> /dev/null
	    kill `cat $PIDFILES/sv_labels.pid 2> /dev/null` 2> /dev/null
	    kill `cat $PIDFILES/af.pid 2> /dev/null` 2> /dev/null
	    kill `cat $PIDFILES/GMMcl.pid 2> /dev/null` 2> /dev/null
	    kill `cat $PIDFILES/C45cl.pid 2> /dev/null` 2> /dev/null
	    kill `cat $PIDFILES/sv_feat.pid 2> /dev/null` 2> /dev/null
#	    killall /mnt/card/borglab/enchant-signal/MultiSignalReader

killall SignalViewer
killall GClassifier
killall C45Classifier
killall AudioFeatures
killall AccelFeature
killall MITeSignal



